Subject: Re: [PATCH v3] documentation: add tutorial for revision walking

From: Josh Steadmon <[email-masked]>
Date: Wed, 24 Jul 2019 16:11:28 -0700

On 2019.07.01 13:19, Emily Shaffer wrote:
> Existing documentation on revision walks seems to be primarily intended
> as a reference for those already familiar with the procedure. This
> tutorial attempts to give an entry-level guide to a couple of bare-bones
> revision walks so that new Git contributors can learn the concepts
> without having to wade through options parsing or special casing.
> 
> The target audience is a Git contributor who is just getting started
> with the concept of revision walking. The goal is to prepare this
> contributor to be able to understand and modify existing commands which
> perform revision walks more easily, although it will also prepare
> contributors to create new commands which perform walks.
> 
> The tutorial covers a basic overview of the structs involved during
> revision walk, setting up a basic commit walk, setting up a basic
> all-object walk, and adding some configuration changes to both walk
> types. It intentionally does not cover how to create new commands or
> search for options from the command line or gitconfigs.
> 
> There is an associated patchset at
> https://github.com/nasamuffin/git/tree/revwalk that contains a reference
> implementation of the code generated by this tutorial.
> 
> Signed-off-by: Emily Shaffer <[email-masked]>
> Helped-by: Eric Sunshine <[email-masked]>

This looks good to me; as a new Git developer I found it informative and
wish it had been present before I took my first look at the rev-walk
code.